# ToDo:
# - include tk-tag/tk-tag.pl or not? Maybe as a seperate package (more R:)?
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MP3
%define		pnam	Tag
#
Summary:	Module for reading/writing tags of MP3 audio files
Summary(pl.UTF-8):	Moduł do odczytywania/zapisywania znaczników z plików MP3
Name:		perl-MP3-Tag
Version:	1.13
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1eea17c9c8a03433634eb37fc16311d3
URL:		http://search.cpan.org/dist/MP3-Tag/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.21-3
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Encode >= 2.44-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Perl module to read/write ID3v1, ID3v1.1 and ID3v2.3 tags of
MP3 files. (Other tags hopefully to follow).

%description -l pl.UTF-8
Moduł Perla służący do odczytywania/zapisywania znaczników MP3 typu
ID3v1, ID3v1.1 oraz ID3v2.3 (inne znaczniki w przyszłości).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.txt
%attr(755,root,root) %{_bindir}/audio_rename
%attr(755,root,root) %{_bindir}/mp3info2
%attr(755,root,root) %{_bindir}/typeset_audio_dir
%{perl_vendorlib}/Encode/transliterate_win1251.pm
%dir %{perl_vendorlib}/Normalize
%dir %{perl_vendorlib}/Normalize/Text
%{perl_vendorlib}/Normalize/Text/Music_Fields.pm
%{perl_vendorlib}/MP3/*.pm
%{perl_vendorlib}/MP3/Tag
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MP3-Tag.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c5d849a
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 7422bc6
- dir %{perl_vendorlib}/Encode now in perl-Encode; rel 2

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 099958f
- up to 1.13

* Fri Oct 23 2009 Artur Frysiak <artur@frysiak.net> 0fe2ac8
- removed empty ru description
- moved examples to correct dir
- release 3

* Fri Oct 23 2009 amateja <amateja@pld-linux.org> 0beb753
- added missing %dirs in %files section
- release 2

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> 46566c9
- updated to 1.11

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d1b32e2
- release 2

* Fri Jun 13 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 39cf099
- updated to 0.9710 (by Paweł Żuk <redstorm15 at gmail dot com>, thanks

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 47c7474
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 28395e1
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 4bb25f7
- autoupdated to 0.94

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 19bf223
- formatting

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> deef49e
- "MP3" unification

* Sun Sep 12 2004 Adam Gołębiowski <adamg@pld-linux.org> deb1a3f
- updated to 0.93

* Sat Jun 05 2004 radek <radek@pld-linux.org> 79c678d
- massive: unfold macros in name/summary & other unifications

* Wed Jun 02 2004 radek <radek@pld-linux.org> 42b6b6d
- BR: perl-ExtUtils-MakeMaker 6.21-3

* Mon May 31 2004 Adam Gołębiowski <adamg@pld-linux.org> 10776c6
- fixed URL

* Sun May 30 2004 Jakub Bogusz <qboosh@pld-linux.org> a3d9033
- more specific URL

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> fd33674
- small typo in pl summary

* Sun May 30 2004 Jakub Bogusz <qboosh@pld-linux.org> 41b3557
- pl fixes, more readable file list

